Uploaded image for project: 'SonarQube'
  1. SonarQube
  2. SONAR-12141

"Database needs migration" : misleading instruction message

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 7.8
    • Component/s: Database
    • Edition:
      Community
    • Production Notes:
      None

      Description

      When starting SQ and the database needs a migration, logs helping the users are split between web.log and sonar.log.

      One log only says "Database needs migration" which is misleading on its own because one may think that the migration may be automatic and that no further manual action are required.

      The other log is more precise "Database must be upgraded. Please backup database and browse /setup" but could also be more specific and point to the migrate documentation.

       

      Current situation : 

      • sonar.log : 
        • 2019.05.23 17:49:01 WARN app[][startup]
          ################################################################################
          Database must be upgraded. Please backup database and browse /setup
          ################################################################################
      • web.log : 
        • 2019.05.23 17:49:01 WARN web[][o.s.s.p.DatabaseServerCompatibility] Database must be upgraded. Please backup database and browse /setup
        • .......
        • .......
        • 2019.05.23 17:49:06 INFO web[][o.s.s.p.Platform] Database needs migration

       

       

        Attachments

          Activity

            People

            • Assignee:
              duarte.meneses Duarte Meneses
              Reporter:
              pierre.guillot Pierre Guillot
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Due:
                Created:
                Updated:
                Resolved: